# transports.h File Reference

`#include <opal/buildopts.h>`
`#include <ptlib/sockets.h>`
`#include <ptclib/psockbun.h>`

Include dependency graph for transports.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | OpalTransportAddress
class | OpalListener
class | OpalListenerIP
class | OpalListenerTCP
class | OpalListenerUDP
class | OpalTransport
class | OpalTransportIP
class | OpalTransportTCP
class | OpalTransportUDP
class | OpalInternalTransport
class | OpalInternalIPTransport
class | OpalInternalIPTransportTemplate< ListenerType, TransportType, AltTypeOption, AltTypeClass >

## Typedefs

typedef OpalInternalIPTransportTemplate< OpalListenerTCP, OpalTransportTCP, OpalTransportAddress::Datagram, OpalTransportUDP > | OpalInternalTCPTransport
typedef OpalInternalIPTransportTemplate< OpalListenerUDP, OpalTransportUDP, OpalTransportAddress::Streamed, OpalTransportTCP > | OpalInternalUDPTransport

## Functions

| OpalTransportAddressArray (const OpalTransportAddress &address)
| OpalTransportAddressArray (const PStringArray &array)
| OpalTransportAddressArray (const PStringList &list)
| OpalTransportAddressArray (const PSortedStringList &list)
void | AppendString (const char *address)
void | AppendString (const PString &address)
void | AppendAddress (const OpalTransportAddress &address)
void | AppendStringCollection (const PCollection &coll)
| PLIST (OpalListenerList, OpalListener)

## Typedef Documentation

typedef OpalInternalIPTransportTemplate<OpalListenerTCP, OpalTransportTCP, OpalTransportAddress::Datagram, OpalTransportUDP> OpalInternalTCPTransport

typedef OpalInternalIPTransportTemplate<OpalListenerUDP, OpalTransportUDP, OpalTransportAddress::Streamed, OpalTransportTCP> OpalInternalUDPTransport

## Function Documentation

void AppendAddress | ( | const OpalTransportAddress & | address | ) |

void AppendString | ( | const PString & | address | ) |

void AppendString | ( | const char * | address | ) |

void AppendStringCollection | ( | const PCollection & | coll | ) | `[protected]`

OpalTransportAddressArray | ( | const PSortedStringList & | list | ) |

OpalTransportAddressArray | ( | const PStringList & | list | ) |

OpalTransportAddressArray | ( | const PStringArray & | array | ) |

OpalTransportAddressArray | ( | const OpalTransportAddress & | address | ) |

PLIST | ( | OpalListenerList | ,
|  | OpalListener |  |
| ) |  |  | `[protected]`